微信指数 · 榜单趋势

30 天微信指数

传入关键词,每个关键词返回一条记录,含 30 天微信指数的每日序列以及最新值、平均值和峰值。

POST/v1/wechat-index/trend

$0.1196每条

算上最低收费的每条
≈ $0.142937
1,000 条
≈ $142.937
每取一条最低
$0.142937

只能用充值余额一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/wechat-index/trend" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keywords":["咖啡","瑞幸"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "trend",
      "keyword": "咖啡",
      "dataPointCount": 30,
      "startDate": "2026-10-10",
      "endDate": "2026-11-08",
      "latestIndex": 107331742,
      "averageIndex": 97494791,
      "peakIndex": 113691075,
      "peakDate": "2026-11-06",
      "dataPoints": [
        {
          "date": "2026-10-10",
          "timestamp": 1791561600,
          "index": 92063363
        },
        {
          "date": "2026-10-11",
          "timestamp": 1791648000,
          "index": 106041903
        },
        {
          "date": "2026-10-12",
          "timestamp": 1791734400,
          "index": 99872644
        }
      ]
    },
    {
      "type": "trend",
      "keyword": "瑞幸",
      "dataPointCount": 30,
      "startDate": "2026-10-10",
      "endDate": "2026-11-08",
      "latestIndex": 38022738,
      "averageIndex": 36331868,
      "peakIndex": 44248464,
      "peakDate": "2026-11-02",
      "dataPoints": [
        {
          "date": "2026-10-10",
          "timestamp": 1791561600,
          "index": 35362580
        },
        {
          "date": "2026-10-11",
          "timestamp": 1791648000,
          "index": 38774283
        },
        {
          "date": "2026-10-12",
          "timestamp": 1791734400,
          "index": 39703628
        }
      ]
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.285874",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 10

字段类型示例值
typestringtrend
keywordstring咖啡
dataPointCountnumber30
startDatestring2026-10-10
endDatestring2026-11-08
latestIndexnumber107331742
averageIndexnumber97494791
peakIndexnumber113691075
peakDatestring2026-11-06
dataPointsarray[{"date":"2026-10-10","timestamp":1791561600,"index":9206336…

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
keywordsarray是要查询的关键词,中文效果最好(例如 咖啡 或 新能源汽车)。每个关键词一条记录,顺序与输入一致。留空时使用 咖啡。["咖啡","瑞幸"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.142937。

  • 1 条:最多 $0.142937
  • 20 条:最多 $2.85874
  • 100 条:最多 $14.2937

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「30 天微信指数」要传哪些参数?

必填:keywords。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 记录 $0.1196。每页最低收费 $0.142937:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $14.2937。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。